﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamRibbonComboToolItemsCase
{
    public class ViewModel
    {
        string[] names = "Andrew;Mike;Rob;Alex;Jen;Jess;Valerie;Lisa".Split(';');
        public ObservableCollection<SampleData> Data { get; set; }

        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            for(int i=0; i < names.Length; i++)
            {
                Data.Add(new SampleData()
                {
                    ID = i,
                    Name = names[i]
                });
            }
        }
    }

    public class SampleData
    {
        public int ID { get; set; }
        public string Name { get; set; }
    }
}
